commit:     ffea62559c4ccc708bae917eddf777e537d561f0
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  6 14:59:08 2018 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Fri Apr  6 14:59:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffea6255

dev-libs/libgpiod: initial commit

 dev-libs/libgpiod/Manifest            |  1 +
 dev-libs/libgpiod/libgpiod-1.0.ebuild | 30 ++++++++++++++++++++++++++++++
 dev-libs/libgpiod/metadata.xml        | 11 +++++++++++
 3 files changed, 42 insertions(+)

diff --git a/dev-libs/libgpiod/Manifest b/dev-libs/libgpiod/Manifest
new file mode 100644
index 00000000000..7f380ebad6b
--- /dev/null
+++ b/dev-libs/libgpiod/Manifest
@@ -0,0 +1 @@
+DIST libgpiod-1.0.tar.gz 411974 BLAKE2B 
e6c962329f7fad374d2771e60aa87e679970e3b593dda73d51f0511b14122d8a9d94eee3355ede2221d4ff0cd10f7116874c535fe90092fd61ccc5aa8f7e9818
 SHA512 
e8a71a7028fa73a94d8507d4329bee024c3e73d1b619dd5500172bf36509c7ccee521ddb6ef07283e3a4217af9da12ce154af657f8a536883f5495ffccf46e0c

diff --git a/dev-libs/libgpiod/libgpiod-1.0.ebuild 
b/dev-libs/libgpiod/libgpiod-1.0.ebuild
new file mode 100644
index 00000000000..c83a38aa5e7
--- /dev/null
+++ b/dev-libs/libgpiod/libgpiod-1.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib multilib-minimal
+
+DESCRIPTION="C library and tools for interacting with the linux GPIO character 
device"
+HOMEPAGE="https://git.kernel.org/pub/scm/libs/libgpiod/libgpiod.git/";
+SRC_URI="https://dev.gentoo.org/~blueness/libgpiod/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+# Reflects the ABI of libgpiod.so
+SLOT="0/1"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs +tools"
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable tools)
+}
+
+multilib_src_install() {
+       default
+
+       if ! use static-libs; then
+               find "${D}" -name "*.a" -delete || die
+       fi
+       find "${D}" -name '*.la' -delete || die
+}

diff --git a/dev-libs/libgpiod/metadata.xml b/dev-libs/libgpiod/metadata.xml
new file mode 100644
index 00000000000..e9d3e660684
--- /dev/null
+++ b/dev-libs/libgpiod/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Anthony G. Basile</name>
+       </maintainer>
+       <use>
+               <flag name="tools">Build some useful gpio tools that use 
libgpiod.</flag>
+       </use>
+</pkgmetadata>

Reply via email to